/* ==================
   page common
================== */

/* ページタイトル */
.page-header {
  padding-top: 40px;
  text-align: center;
  font-weight: bold;
}
.page-header__en {
  font-size: clamp(6rem, 9vw, 10rem);
  color: #898989;
  padding: 3rem 0;
}
.page-header__jp {
  font-size: clamp(2rem, 2.6vw, 3.6rem);
  background-color: #d9ebf5;
  padding: 4rem 0;
}

.page-section {
  padding: 6rem 4rem;
}

@media screen and (max-width: 560px) {
  .page-section {
    padding: 5rem 2rem;
  }
}

/* 緑のドット付リスト */
.list-dots li {
  position: relative;
  padding-left: 2rem;
}

.list-dots li::before {
  position: absolute;
  content: "";
  top: 7px;
  left: 0;
  background-color: #8fc31f;
  width: 10px;
  height: 10px;
  border-radius: 5px;
}

/* 画像付き見出し */
.text-img-box {
  position: relative;
  clear: both;
}
.text-img-box-content {
  width: 80%;
  padding: 6rem 5rem;
  background: #feecd2;
}
.text-img-box-content__title {
  position: relative;
  z-index: 2;
  font-size: 3.6rem;
  font-weight: 700;
}
.text-img-box-content__text {
  width: 80%;
  font-size: 1.8rem;
  padding-left: 5rem;
  margin-top: 3rem;
}
.text-img-box-img {
  position: absolute;
  width: 36%;
  right: 0;
  top: 5rem;
}
.text-img-box-img img {
  border-radius: 1rem;
  width: 100%;
  height: auto;
  border: solid 2px #8fc31f;
}

.text-img-box-img.--border-orange img {
  border: solid 2px #f39800;
}

@media screen and (max-width: 950px) {
  .text-img-box-content__title {
    font-size: 2.8rem;
  }
  .text-img-box-img {
    position: static;
    width: 80%;
    margin-left: 20%;
    margin-top: -3rem;
  }
  .text-img-box-content {
    width: 90%;
    padding: 3rem 3rem 6rem 3rem;
  }
  .text-img-box-content__text {
    width: 100%;
    font-size: 1.6rem;
    padding-left: 0;
  }
}

/* ==================
   lecture
================== */
/* lecture-instructor */
.lecture-instructor-name {
  font-size: 2.8rem;
  font-weight: bold;
}
.lecture-instructor-name ruby {
  ruby-position: under;
}
.lecture-instructor-name ruby rb {
  display: inline-block;
  margin-bottom: 0.75rem;
}
.lecture-instructor-desc {
  font-size: 2rem;
  padding-top: 1rem;
}

/* lecture-instructor-overview */
.lecture-instructor-overview {
  width: 100%;
  max-width: 80%;
  margin: 4rem auto;
  line-height: 1.5;
}
.lecture-instructor-overview_title {
  margin-top: 2.4rem;
  font-size: 2.4rem;
  font-weight: bold;
}
.lecture-instructor-overview_title.mt-none {
  margin-top: 0;
}
.lecture-instructor-overview_list {
  font-size: 1.8rem;
}

@media screen and (max-width: 950px) {
  .lecture-instructor-overview {
    margin: 6rem auto;
  }
}
@media screen and (max-width: 560px) {
  .lecture-instructor-overview {
    max-width: 100%;
  }
  .lecture-instructor-overview_title {
    font-size: 2rem;
    margin-bottom: 1rem;
  }
  .lecture-instructor-overview_list {
    display: grid;
    gap: 0.5rem;
    font-size: 1.6rem;
  }
}

/* lecture-price */
.lecture-price-list {
  display: grid;
  gap: 2rem;
  line-height: 1.5;
  font-size: 1.6rem;
}
.lecture-price-list li span {
  display: block;
}

.text-img-box.--lecture-price {
  margin-top: 6rem;
  margin-bottom: 6rem;
}

/* 画像付き見出し調整 */
@media screen and (min-width: 951px) {
  .text-img-box.--lecture-price::before {
    position: absolute;
    top: 0;
    right: 0;
    content: "";
    width: 80%;
    height: 300px;
    background: #feecd2;
  }
  .text-img-box.--lecture-price .text-img-box-content {
    width: 100%;
    padding: 6rem 1rem 6rem 50vw;
    background: none;
  }
  .text-img-box.--lecture-price .text-img-box-content__text {
    padding-left: 0;
    width: 100%;
  }
  .text-img-box.--lecture-price .text-img-box-img {
    width: 50%;
    left: 0;
  }
}

/* lecture-theme */
.lecture-theme {
  width: 100%;
  max-width: 840px;
  margin: 0 auto;
}
.lecture-theme-title {
  text-align: center;
  font-size: 3.6rem;
  font-weight: bold;
  margin-bottom: 4rem;
}
.lecture-theme h3 {
  font-weight: bold;
  font-size: 2.2rem;
}
.lecture-theme h4 {
  font-weight: bold;
  font-size: 2rem;
  margin-bottom: 1rem;
}
.lecture-theme-group {
  margin-top: 3rem;
}

.lecture-theme-list {
  line-height: 1.8;
}

@media screen and (max-width: 560px) {
  .lecture-theme-title {
    font-size: 2.4rem;
  }
  .lecture-theme h3 {
    font-size: 2rem;
  }
  .lecture-theme h4 {
    font-size: 1.8rem;
  }
}

/* お問い合わせボタン */
.contact-button-box {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  max-width: 640px;
  margin: 0 auto;
  border-radius: 1rem;
  border: solid 2px #f39800;
  background-color: #fff;
  text-align: center;
  padding: 4rem 0 2rem;
}
.contact-button-box__text {
  position: relative;
  padding: 2rem 0 3rem;
}
.contact-button-box__label {
  position: absolute;
  top: 2rem;
  left: 50%;
  transform: translateX(-50%);
  color: #fce0b9;
  font-size: 8rem;
  font-weight: bold;
  line-height: 1;
}
.contact-button-box__link {
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 1rem;
}

.contact-button-box-br {
  display: none;
}
@media screen and (max-width: 690px) {
  .contact-button-box-br {
    display: block;
  }
  .contact-button-box {
    padding: 4rem 0 3rem;
  }
  .contact-button-box__text {
    line-height: 1.8;
  }
  .contact-button-box__label {
    top: 4rem;
  }
}

@media screen and (max-width: 560px) {
  .contact-button-box__label {
    top: 5rem;
    font-size: 6.5rem;
  }
}

/* ==================
   publication
================== */
.publication-list {
  padding: 6rem 0;
}
.publication-list:nth-child(even) {
  background-color: #f6f9ed;
}
.publication-list-inner {
  display: grid;
  grid-template-columns: 26% 1fr;
  gap: 4rem;
  width: 100%;
  max-width: 1100px;
  margin: 0 auto;
  padding: 0 2rem;
}
.publication-list__image img {
  width: 100%;
  object-fit: contain;
}
.publication-list__title {
  display: inline-block;
  font-size: 2.4rem;
  font-weight: bold;
  padding-bottom: 0.75rem;
  line-height: 1.5;
  border-bottom: 1px solid #f29600;
}
.publication-list__title-small {
  align-self: center;
  font-size: 70%;
}
.publication-list__info {
  font-weight: bold;
  font-size: 1.8rem;
  margin: 1rem 0 3rem;
  line-height: 1.6;
}
.publication-list__note {
  color: #231815;
  font-weight: 400;
  font-size: 1.4rem;
}
.publication-list__publisher {
  font-weight: 600;
  font-size: 1.4rem;
}
.publication-list__text {
  line-height: 1.6;
  word-break: break-all;
}

.publication-br-sp {
  display: none;
}

@media screen and (max-width: 850px) {
  /* publication */
  .publication-list-inner {
    grid-template-columns: 1fr;
    justify-content: center;
  }
  .publication-list__image {
    width: 50%;
    max-width: 50%;
    margin: 0 auto;
  }
}

@media screen and (max-width: 480px) {
  .publication-br-sp {
    display: block;
  }

  .publication-list__title {
    font-size: 2rem;
  }
  .publication-list__info {
    font-size: 1.6rem;
  }
  .publication-list__note {
    font-size: 1.4rem;
  }
  .publication-list__publisher {
    font-size: 1.4rem;
  }
  .publication-list__text {
    font-size: 1.6rem;
  }
}
